#include <QFile>
#include <QProcess>
#include <QCoreApplication>
#include <QDebug>
#include <QMessageBox>
#include <QApplication>

int main(int argc, char *argv[]) {
    QApplication app(argc, argv);
    QStringList args = app.arguments();

    if (args.contains("launched")) {
        QProcess process;
        process.setProgram("lotro_ru.exe");
        process.setArguments({{"-skiprawdownload", "-disablePatch"}});
        if (!process.startDetached())
            QMessageBox::critical(nullptr, "Ошибка запуска!", "Не удалось запустить русифицированную версию игры! Ошибка 0x0!");
        else
            QMessageBox::information(nullptr, "Успех!", "Добро пожаловать в русифицированную версию Властелин Колец Онлайн!");
    } else {
        QFile file("legacy_path.txt");
        file.open(QIODevice::ReadOnly);
        QString legacy_path = file.readLine();
        file.close();

        if (legacy_path.isEmpty())
            legacy_path = "Legacy.exe";

        QProcess process;
        process.setProgram(legacy_path);
        if (!process.startDetached())
            QMessageBox::critical(nullptr, "Ошибка запуска!", "Не удалось запустить русифицированную версию игры! Ошибка 0x1!");
    }

    return 0;
}
